import java.lang.*;
import java.io.*;
import java.util.StringTokenizer;

class Communication {
 InputStream input;
 OutputStream output;
 BufferedReader inputReader;

 String inputString="";
 String delimiter="\n";

 int position=0;

    public Communication(String inputPath, OutputStream os) {
	try {
              setInputStream(new FileInputStream(getCorrectedPath(inputPath)));
	} catch (IOException e) {};

    setOutputStream(os);

    }

    public void setInputStream(InputStream is) {
     this.input=is;
     inputReader=new BufferedReader(new InputStreamReader(input));
    }

    public void setOutputStream(OutputStream os) {
     this.output=os;
    }

    public static String getCorrectedPath(String path) {
	if (!new File(path).exists()) {
           if (path.indexOf(new File("").getAbsolutePath())>=0) return path;
           if (path.indexOf(System.getProperty("path.seperator"))>=0) return path;
           if (!new File("").getAbsolutePath().endsWith(System.getProperty("path.seperator"))) path=System.getProperty("path.seperator")+path;
           return new File("").getAbsolutePath()+path;
        }
        return path;
    }

    public char[] readChar(int count) {
       char[] c = new char[count];
       int i=0;
       
       do {   
           for (;(i<count) && (position<inputString.length());i++) {
             c[i]=inputString.charAt(position);
             position++;
           }

       if (i<count) 
	       try {
		   if (inputString.length()==position) {
                     inputString=inputReader.readLine();
                     position=0;
                   }
               } catch (IOException e) {return null;};
       } while (i<count);
       return c;
    }

    public char readChar() {return readChar(1)[0];}
 
    public String readToEOL() {
     return inputString.substring(position,inputString.length());
    }

    public String readLine() {
	try {
              position=0;
              inputString="";
	      return inputReader.readLine();
	} catch (IOException e) {}
	return null;
    }

    public String nextToken() {
      String back;
      inputString=inputString.substring(position);
      position=0;
      StringTokenizer st = new StringTokenizer(inputString,delimiter,false);
      while (!st.hasMoreTokens()){
	  String s = inputString;
	  s+=readLine();
	  inputString=s;
	  st = new StringTokenizer(inputString,delimiter,false);
      }
      back = st.nextToken();
      position= inputString.substring(position,inputString.length()-position).indexOf(back)+back.length();
      return back;
    }

    public void setDelimiter(String d) {this.delimiter=d;}
    public String readString() {return nextToken();}
    public int readInt() {return Integer.parseInt(nextToken());} 
    public double readDouble() {return new Double(nextToken()).doubleValue();}
    public byte readByte() {return (byte)readChar();}
    public void writeString(String s) { try { output.write(s.getBytes());} catch (IOException e){}}
    public void writeChar(char c) { writeString(""+c);}
    public void writeChars(char[] c) { writeString(new String(c));}
    public void writeInt(int i) {writeString(""+i);}
    public void writeByte(byte b) {writeString(""+b);}
    public void writeDouble(double d) {writeString(""+d);}
    public void writeNewLine() {writeString(System.getProperty("line.seperator","\n"));}
}

class node {
    public int depth;
    public node left;
    public node right;
    public int leaf;
    public int value;
}



public class stree {

    public node genTree(int depth) {
	if (depth!=1) { genTree(depth-1) }
	

    public stree() {
     Communication c = new Communication("stree.in",System.out);
     String strg = new String(c.readLine());
     while (strg!="0") {
	int a = new Integer(strg).intValue();
	
    
 
        
