import java.lang.*;
import java.io.*;
import java.util.StringTokenizer;

class Communication {
 InputStream input;
 OutputStream output;
 BufferedReader inputReader;

 String inputString="";
 String delimiter="\n";

 int position=0;

    public Communication(String inputPath, OutputStream os) {
	try {
              setInputStream(new FileInputStream(getCorrectedPath(inputPath)));
	} catch (IOException e) {};

    setOutputStream(os);

    }

    public void setInputStream(InputStream is) {
     this.input=is;
     inputReader=new BufferedReader(new InputStreamReader(input));
    }

    public void setOutputStream(OutputStream os) {
     this.output=os;
    }

    public static String getCorrectedPath(String path) {
	if (!new File(path).exists()) {
           if (path.indexOf(new File("").getAbsolutePath())>=0) return path;
           if (path.indexOf(System.getProperty("path.seperator"))>=0) return path;
           if (!new File("").getAbsolutePath().endsWith(System.getProperty("path.seperator"))) path=System.getProperty("path.seperator")+path;
           return new File("").getAbsolutePath()+path;
        }
        return path;
    }

    public char[] readChar(int count) {
       char[] c = new char[count];
       int i=0;
       
       do {   
           for (;(i<count) && (position<inputString.length());i++) {
             c[i]=inputString.charAt(position);
             position++;
           }

       if (i<count) 
	       try {
		   if (inputString.length()==position) {
                     inputString=inputReader.readLine();
                     position=0;
                   }
               } catch (IOException e) {return null;};
       } while (i<count);
       return c;
    }

    public char readChar() {return readChar(1)[0];}
 
    public String readToEOL() {
     return inputString.substring(position,inputString.length());
    }

    public String readLine() {
	try {
              position=0;
              inputString="";
	      return inputReader.readLine();
	} catch (IOException e) {}
	return null;
    }

    public String nextToken() {
      String back;
      inputString=inputString.substring(position);
      position=0;
      StringTokenizer st = new StringTokenizer(inputString,delimiter,false);
      while (!st.hasMoreTokens()){
	  String s = inputString;
	  s+=readLine();
	  inputString=s;
	  st = new StringTokenizer(inputString,delimiter,false);
      }
      back = st.nextToken();
      position= inputString.substring(position,inputString.length()-position).indexOf(back)+back.length();
      return back;
    }

    public void setDelimiter(String d) {this.delimiter=d;}
    public String readString() {return nextToken();}
    public int readInt() {return Integer.parseInt(nextToken());} 
    public double readDouble() {return new Double(nextToken()).doubleValue();}
    public byte readByte() {return (byte)readChar();}
    public void writeString(String s) { try { output.write(s.getBytes());} catch (IOException e){}}
    public void writeChar(char c) { writeString(""+c);}
    public void writeChars(char[] c) { writeString(new String(c));}
    public void writeInt(int i) {writeString(""+i);}
    public void writeByte(byte b) {writeString(""+b);}
    public void writeDouble(double d) {writeString(""+d);}
    public void writeNewLine() {writeString(System.getProperty("line.seperator","\n"));}
}

public class divide {
   int murmeln[] = {0,0,0,0,0,0}; 
   int kopie[] = {0,0,0,0,0,0};
   int hauptwert = 0;
   int restwert = 0;
 
   public int Ziel;
   public int akt_Summe;
   
   int getValue() {
      int wert=0;
      for (int i=0;i<6;i++) 
       wert+=murmeln[i]*(i+1);
      return wert;
   }

   public divide(int gelesen[],int wert) {
       for (int i=0;i<6;i++) {
	   murmeln[i]=gelesen[i];
	   kopie[i]=murmeln[i];
       }
       hauptwert=0;
       restwert=wert;
   }
    /*
   public int berechnen(int Abziehen) {
      int rueckgabe=0;

      hauptwert+=Abziehen;
      restwert-=Abziehen;
      
      if (hauptwert>restwert) return -1; // Letzter Schritt rckgngig machen
      if (hauptwert==restwert) return 0;  // Success !!!
      
      if (hauptwert<restwert) {
            int j=5;
	    int i=0;
	    int kugel=0;

	    while (j!=0) {
		for (i=j;i>=0;i--) {
		    System.out.println("Schleife: "+i);
		    if ((kopie[i]>0) && (kugel<(i+1))) kugel=i+1;
                }

		System.out.println("Ziehe Kugel vom Typ "+(i+1)+" ab");

		if (kopie[i]==0) return -1;   // Keine weiteren Murmeln -> Rcksprung
		
		kopie[i]--;

		System.out.println("Noch "+kopie[i]+" Kugeln vom Typ "+(i+1)+" da");
		rueckgabe = this.berechnen(i+1);
		
		if (rueckgabe==0) return 0;
		if (rueckgabe==-1) {
		                     kopie[i]++;
				     hauptwert-=i+1;
				     restwert+=i+1;
		}
		j=i;
	    }
      }
     return -2;
   } 
    */
    
    public int berechnen(int maxtest)
    {
	if (akt_Summe==Ziel) return 0;
	if (akt_Summe>Ziel) return -1;
	for (int i = maxtest;i>=0;i--) {
	    if (kopie[i]>0) 
		{ 
		    kopie[i]--;
		    akt_Summe+=i+1;
		    if (berechnen(i)==0) {return 0;}
		    else { kopie[i]++; }
		    akt_Summe-=i+1;
		}
	}
	return -1;
    }
    
    /*
    public int berechnen() {
	    
	for (int a=5;a>=0;a--) {
	while (kopie[a]>0)
	    {
		akt_Summe+=a+1;
		kopie[a]--;
		if (akt_Summe==Ziel) return 0;
		if (akt_Summe>Ziel) akt_Summe-=a+1;
	    }
	} 
	return (-1);
    }
    */




   static int getWert(int input[]) {
     int summe=0; 
     for (int i=0;i<6;i++)
      summe+=input[i]*(i+1);
     return summe;
   }
      

   public static void main (String args[]) {
     int stop=1;
     int gelesen[]={0,0,0,0,0,0};
     int collections=0;
     int rueckgabe=0;
     int hmm=0;

     Communication c = new Communication("divide.in",System.out);
     while (stop!=0) {
      collections+=1;
      StringTokenizer st = new StringTokenizer(c.readLine()," ");
      for (int i=0;i<6;i++) 
        gelesen[i]= (new Integer(st.nextToken())).intValue();
      
      stop = getWert(gelesen);
      if (stop==0) break;
      if ((gelesen[0]+gelesen[1]+gelesen[2]+gelesen[3]+gelesen[4]+gelesen[5])>15000)
	  {
	      	   System.out.println("Collection #"+collections+":");
		   System.out.println("Can be divided.");
		
	  }
      else {
      if ((stop%2)>0) {  // ungerader Wert der Murmeln
                         System.out.println("Collection #"+collections+":");
			 System.out.println("Can't be divided.");
      } else {
               divide a = new divide(gelesen,stop);
	       int kugel=0;

	       for (int i=5;i>=0;i--) {
		    if ((gelesen[i]>0) && (kugel==0)) kugel=i+1;
	       }
    
	       a.akt_Summe=kugel;
	       a.Ziel=stop/2;
	       rueckgabe = a.berechnen(kugel-1);

	       if (rueckgabe==0) {
		   System.out.println("Collection #"+collections+":");
		   System.out.println("Can be divided.");
	       } else {
		   System.out.println("Collection #"+collections+":");
		   System.out.println("Can't be divided.");
	       }
		   
      }
      }

     } 
   }

}
