import java.lang.*;
import java.io.*;
import java.util.StringTokenizer;

class Communication {
 InputStream input;
 OutputStream output;
 BufferedReader inputReader;

 String inputString="";
 String delimiter="\n";

 int position=0;

    public Communication(String inputPath, OutputStream os) {
	try {
              setInputStream(new FileInputStream(getCorrectedPath(inputPath)));
	} catch (IOException e) {};

    setOutputStream(os);

    }

    public void setInputStream(InputStream is) {
     this.input=is;
     inputReader=new BufferedReader(new InputStreamReader(input));
    }

    public void setOutputStream(OutputStream os) {
     this.output=os;
    }

    public static String getCorrectedPath(String path) {
	if (!new File(path).exists()) {
           if (path.indexOf(new File("").getAbsolutePath())>=0) return path;
           if (path.indexOf(System.getProperty("path.seperator"))>=0) return path;
           if (!new File("").getAbsolutePath().endsWith(System.getProperty("path.seperator"))) path=System.getProperty("path.seperator")+path;
           return new File("").getAbsolutePath()+path;
        }
        return path;
    }

    public char[] readChar(int count) {
       char[] c = new char[count];
       int i=0;
       
       do {   
           for (;(i<count) && (position<inputString.length());i++) {
             c[i]=inputString.charAt(position);
             position++;
           }

       if (i<count) 
	       try {
		   if (inputString.length()==position) {
                     inputString=inputReader.readLine();
                     position=0;
                   }
               } catch (IOException e) {return null;};
       } while (i<count);
       return c;
    }

    public char readChar() {return readChar(1)[0];}
 
    public String readToEOL() {
     return inputString.substring(position,inputString.length());
    }

    public String readLine() {
	try {
              position=0;
              inputString="";
	      return inputReader.readLine();
	} catch (IOException e) {}
	return null;
    }

    public String nextToken() {
      String back;
      inputString=inputString.substring(position);
      position=0;
      StringTokenizer st = new StringTokenizer(inputString,delimiter,false);
      while (!st.hasMoreTokens()){
	  String s = inputString;
	  s+=readLine();
	  inputString=s;
	  st = new StringTokenizer(inputString,delimiter,false);
      }
      back = st.nextToken();
      position= inputString.substring(position,inputString.length()-position).indexOf(back)+back.length();
      return back;
    }

    public void setDelimiter(String d) {this.delimiter=d;}
    public String readString() {return nextToken();}
    public int readInt() {return Integer.parseInt(nextToken());} 
    public double readDouble() {return new Double(nextToken()).doubleValue();}
    public byte readByte() {return (byte)readChar();}
    public void writeString(String s) { try { output.write(s.getBytes());} catch (IOException e){}}
    public void writeChar(char c) { writeString(""+c);}
    public void writeChars(char[] c) { writeString(new String(c));}
    public void writeInt(int i) {writeString(""+i);}
    public void writeByte(byte b) {writeString(""+b);}
    public void writeDouble(double d) {writeString(""+d);}
    public void writeNewLine() {writeString(System.getProperty("line.seperator","\n"));}
}

public class lcd {

    static Communication c;

    static int number[][] = {{1,1,1,0,1,1,1},
			  {0,0,1,0,0,1,0},
			  {1,0,1,1,1,0,1},
			  {1,0,1,1,0,1,1},
			  {0,1,1,1,0,1,0},
			  {1,1,0,1,0,1,1},
			  {1,1,0,1,1,1,1},
			  {1,0,1,0,0,1,0},
			  {1,1,1,1,1,1,1},
			  {1,1,1,1,0,1,1}};
    
    
    public static void horizont(int Ziffer,int Ebene,int s) {
	c.writeString(" ");
	String out = new String();
	if (number[Ziffer][Ebene]==1) {out="-";} else {out=" ";}
	for (int i=1;i<=s;i++) {
	    c.writeString(out);
	} 

	c.writeString(" ");
    }

    public static void vert(int Ziffer, int Ebene) {
	if (number[Ziffer][Ebene]==1) {c.writeString("|");} else {c.writeString(" ");}
    }	

    public static void main (String args[]) {

	c = new Communication("lcd.in",System.out);
	String strg = new String(c.readLine());
	
	

	while (!strg.equals("0 0")) {
	    StringTokenizer sToken = new StringTokenizer(strg," ");
	    int s = (new Integer(sToken.nextToken())).intValue();
	    String Help = new String(sToken.nextToken());
	    
	    int Anzahl = Help.length();
	    int[] Ziffer = new int[Anzahl];
 
	    for (int i=0;i<Anzahl;i++) 
		Ziffer[i]=(new Integer(Help.charAt(i))).intValue()-48;
	    
	    for (int i=0;i<Anzahl;i++) {
		horizont(Ziffer[i],0,s);
		c.writeString(" ");
	    }
	    c.writeNewLine();

	    for (int b=1;b<=s;b++) {
		for (int i=0; i<Anzahl; i++) {
		    vert(Ziffer[i],1);
		    for (int x=1; x<=s; x++) {
			c.writeString(" ");
		    }
		    vert(Ziffer[i],2);
		    c.writeString(" ");
		}
		c.writeNewLine();
	    }
	    
	    for (int i=0;i<Anzahl;i++) {
		horizont(Ziffer[i],3,s);
		c.writeString(" ");
	    }
	    c.writeNewLine();

	    for (int b=1;b<=s;b++) {
		for (int i=0; i<Anzahl; i++) {
		    vert(Ziffer[i],4);
		    for (int x=1; x<=s; x++) {
			c.writeString(" ");
		    }
		    vert(Ziffer[i],5);
		    c.writeString(" ");
		}
		c.writeNewLine();
	    }
	       
	    for (int i=0;i<Anzahl;i++) {
		horizont(Ziffer[i],6,s);
	        c.writeString(" ");
	    }
	    c.writeNewLine();
	    c.writeNewLine();
	    

	    strg = new String(c.readLine());

    }


    }
}



 
        
