import java.lang.*;
import java.io.*;
import java.util.StringTokenizer;

class Communication {
 InputStream input;
 OutputStream output;
 BufferedReader inputReader;

 String inputString="";
 String delimiter="\n";

 int position=0;

    public Communication(String inputPath, OutputStream os) {
	try {
              setInputStream(new FileInputStream(getCorrectedPath(inputPath)));
	} catch (IOException e) {};

    setOutputStream(os);

    }

    public void setInputStream(InputStream is) {
     this.input=is;
     inputReader=new BufferedReader(new InputStreamReader(input));
    }

    public void setOutputStream(OutputStream os) {
     this.output=os;
    }

    public static String getCorrectedPath(String path) {
	if (!new File(path).exists()) {
           if (path.indexOf(new File("").getAbsolutePath())>=0) return path;
           if (path.indexOf(System.getProperty("path.seperator"))>=0) return path;
           if (!new File("").getAbsolutePath().endsWith(System.getProperty("path.seperator"))) path=System.getProperty("path.seperator")+path;
           return new File("").getAbsolutePath()+path;
        }
        return path;
    }

    public char[] readChar(int count) {
       char[] c = new char[count];
       int i=0;
       
       do {   
           for (;(i<count) && (position<inputString.length());i++) {
             c[i]=inputString.charAt(position);
             position++;
           }

       if (i<count) 
	       try {
		   if (inputString.length()==position) {
                     inputString=inputReader.readLine();
                     position=0;
                   }
               } catch (IOException e) {return null;};
       } while (i<count);
       return c;
    }

    public char readChar() {return readChar(1)[0];}
 
    public String readToEOL() {
     return inputString.substring(position,inputString.length());
    }

    public String readLine() {
	try {
              position=0;
              inputString="";
	      return inputReader.readLine();
	} catch (IOException e) {}
	return null;
    }

    public String nextToken() {
      String back;
      inputString=inputString.substring(position);
      position=0;
      StringTokenizer st = new StringTokenizer(inputString,delimiter,false);
      while (!st.hasMoreTokens()){
	  String s = inputString;
	  s+=readLine();
	  inputString=s;
	  st = new StringTokenizer(inputString,delimiter,false);
      }
      back = st.nextToken();
      position= inputString.substring(position,inputString.length()-position).indexOf(back)+back.length();
      return back;
    }

    public void setDelimiter(String d) {this.delimiter=d;}
    public String readString() {return nextToken();}
    public int readInt() {return Integer.parseInt(nextToken());} 
    public double readDouble() {return new Double(nextToken()).doubleValue();}
    public byte readByte() {return (byte)readChar();}
    public void writeString(String s) { try { output.write(s.getBytes());} catch (IOException e){}}
    public void writeChar(char c) { writeString(""+c);}
    public void writeChars(char[] c) { writeString(new String(c));}
    public void writeInt(int i) {writeString(""+i);}
    public void writeByte(byte b) {writeString(""+b);}
    public void writeDouble(double d) {writeString(""+d);}
    public void writeNewLine() {writeString(System.getProperty("line.seperator","\n"));}

}

public class maze {

    static char[][] feld;
    static int w,h;
    static int[][] used;

    public static void main (String args[]) {
	Communication c = new Communication("maze.in",System.out);
	String strg = new String(c.readLine());
	int circles = 0;
	int mazenr=1;

	while(!(strg.equals("0 0"))) {
	    StringTokenizer st = new StringTokenizer(strg," ");
	    w = (new Integer(st.nextToken())).intValue();
	    h = (new Integer(st.nextToken())).intValue();
	    
	    feld = new char[w][h];
	    used = new int[w][h];
	    circles=0;
	    for (int lines=0;lines<h;lines++) {
		strg=c.readLine();
		for (int x=0;x<w;x++) {
		    feld[x][lines]=strg.charAt(x);
		    used[x][lines]=0;
		}
	    }

	    int gesamtLaenge=0;
	    int laenge=0;

	    for (int y=0;y<h;y++) {
		for (int x=0;x<w;x++) {
		    laenge=schaue(x,y,-1,-1,x,y,0);
		    if (laenge!=0) circles++;
		    if (laenge>gesamtLaenge) { gesamtLaenge=laenge; }
		}
	    }
	    System.out.println("Maze #"+mazenr+":");
	    System.out.println(circles+" Cycles; the longest has length "+gesamtLaenge+".");
	    System.out.println();
	    mazenr++;
	    strg=c.readLine();
	}
    }

	public static int schaue(int x, int y, int woherx, int wohery, int startx, int starty, int laenge) {
	    if (innerhalb(x+1,y)==0) { return 0; }
	    if (used[x][y]==1) return 0;
	    used[x][y]=1;
	    if ((feld[x][y]=='/') && (feld[x+1][y]=='/')) {
		System.out.println("1");
		return teste(x,y,woherx,wohery,startx,starty,laenge,(x+1),(y-1),(x-1),(y+1));}
	     if ((feld[x][y]=='\\') && (feld[x+1][y]=='/')) { 
		 System.out.println("2");
		 return teste(x,y,woherx,wohery,startx,starty,laenge,(x-1),(y-1),(x+1),(y-1)); }
if ((feld[x][y]=='/') && (feld[x+1][y]=='\\')) { 
    System.out.println("3");
    return teste(x,y,woherx,wohery,startx,starty,laenge,(x-1),(y+1),(x+1),(y+1));}
	       if ((feld[x][y]=='\\') && (feld[x+1][y]=='\\')) { 
		   System.out.println("4");
		   return teste(x,y,woherx,wohery,startx,starty,laenge,(x-1),(y-1),(x+1),(y+1));
	       }    
	       return 0;
	}

	public static int teste(int x, int y, int woherx, int wohery, int startx, int starty, int laenge,int r1x, int r1y, int r2x, int r2y) {
	    System.out.println(x+" / "+y);
	    if ((r1x==startx) && (r1y==starty)) {
		if (innerhalb(r2x,r2y)==1) {
		    if ((r2x==woherx) &&(r2y==wohery)) 
			return (laenge);
		     else {
			return schaue(r2x,r2y,x,y,startx,starty,laenge+1);
		    }
		} else { 
                    return(0); 
                }
	    }  
		if (innerhalb(r1x,r1y)==1){
		   if ((r1x==woherx) && (r1y==wohery)) {
		      if ((r2x==startx) && (r2y==starty))  
			  return(laenge); 
		       else { 
			  if (innerhalb(r2x,r2y)==1)  
			      return schaue(r2x,r2y,x,y,startx,starty,laenge+1);
			   else
                              return 0; 
                          
                      }
		   } else 
		       return schaue(r1x,r1y,x,y,startx,starty,laenge+1) ;
		  
	        } 
		return 0;
	      
	}

	public static int innerhalb(int a, int b) {
	    if ((a>=0) && (b>=0) && (a<w) && (b<h)) {
		return 1; 
	    } else { 
		return 0;
	    }
	}
		     
       
		
	
	       

} 
        
